Subject: [OT] Lite5200B w/ nfs root hangs after some time

From: Albrecht Dreß <[email-masked]>
Date: Wed, 22 Apr 2009 19:42:55 +0200

Hi,

this question is maybe off-topic on this list...

I use the Lite5200B board with stock kernel 2.6.29, and boot with the  
root fs on nfs on an Ubuntu 8.10 PC.  Both the Lite5200B and the Ubuntu  
PC are part of a corporate network.  On the root fs, I have busybox and  
everything else needed.  Being connected with minicom to the serial  
console, after some time I always see a message like

[ 4912.350855] nfs: server 10.16.10.29 not responding, still trying

an the the system is *completely* dead, i.e. it doesn't respond to  
<ctrl>-<c>, it doesn't (as a desktop pc sometimes does) print more than  
one of these or any other kernel messages, and it doesn't recover from  
this condition.  Apparently it doesn't matter if just the busybox shell  
is waiting or if an application is running.

Any idea what goes wrong here, and how I could fix it?

Thanks, Albrecht.